export declare class PnChart {
    element: HTMLElement;
    labels: string;
    dataSets: string;
    dataChartType: any;
    myChartCtxRef: any;
    myChart: any;
    parsedDataSets: any;
    parsedLabels: string[];
    parsedDatasetWithDataParsed: any;
    data: any;
    numberOfSetsGreaterThanOne: boolean;
    dataChangeHandler(): void;
    labelsChangeHandler(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): any;
}
